## fatrace 0.6

=== Makefile ===
VERSION=$(shell head -n1 NEWS | cut -f1 -d' ')

CFLAGS ?= -O2 -g -Wall -Wextra -Werror
PREFIX ?= /usr/local

fatrace: fatrace.o
	$(CC) $(LDFLAGS) -o $@ $<

clean:
	rm -f *.o fatrace

distclean: clean

install: fatrace
	install -m 755 -D fatrace $(DESTDIR)$(PREFIX)/sbin/fatrace
	install -m 755 power-usage-report $(DESTDIR)$(PREFIX)/sbin/
	install -d $(DESTDIR)$(PREFIX)/share/man/man1/
	install -m 644 *.1 $(DESTDIR)$(PREFIX)/share/man/man1/

dist: distclean
	files=`ls *`; \
	mkdir fatrace-$(VERSION); \
	cp $$files fatrace-$(VERSION); \
	tar c fatrace-$(VERSION) | bzip2 -9 > fatrace-$(VERSION).tar.bz2; \
	rm -r fatrace-$(VERSION);

.PHONY: clean distclean install

## fatrace 0.4

=== debian/changelog ===
fatrace (0.4-0ubuntu1) precise; urgency=low

  * New upstream release
    - Add power-usage-report script which uses fatrace and powertop-1.13 to
      collect data about file accesses, wakeups, and device stats and
      generates a developer/power-user oriented report which can be used for
      identifying power usage problems.
      (UbuntuSpec:desktop-p-power-consumption)
  * debian/control: Add python dependency for power-usage-report.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Feb 2012 10:19:49 +0100

fatrace (0.3-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Fix --ignore-pid short option (-p, not -i) in --help.
    - Tell apart closing for reading ("C") and closing for writing ("CW").
      Point this out in the manpage.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Feb 2012 14:53:11 +0100

fatrace (0.2-0ubuntu1) precise; urgency=low

  * New upstream release:
    - --output does not overwrite already existing files.
    - Some code cleanup and robustification, thanks Yann Droneaud!
    - Proper handling of Control-C (SIGINT), thanks Yann Droneaud!
    - When specifying --timestamp twice, print time as seconds since epoch, which
      is easier for automatic post-processing.
    - Listen to "close" events as well.
    - Simplify and robustify determination of path names. This also fixes the
      races which led to many events being shown with device/inode only.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Feb 2012 08:06:05 +0100

fatrace (0.1-0ubuntu1) precise; urgency=low

  * Initial release. See UbuntuSpec:desktop-p-power-consumption.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 07 Feb 2012 16:06:33 +0100

=== debian/control ===
Source: fatrace
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7.0.50~)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Homepage: https://launchpad.net/fatrace
Standards-Version: 3.9.2

Package: fatrace
Architecture: linux-any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python (>= 2.7)
Description: report system wide file access events
 fatrace reports file access events from all running processes.
 .
 Its  main  purpose  is to find processes which keep waking up the disk
 unnecessarily and thus prevent some power saving.

## fatrace 0.5

=== debian/changelog ===
fatrace (0.5-1) unstable; urgency=low

  * Initial release. (Closes: #705193)

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 Apr 2013 17:18:20 +0200

=== debian/control ===
Source: fatrace
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9)
Maintainer: Martin Pitt <mpitt@debian.org>
Homepage: https://launchpad.net/fatrace
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/fatrace.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrace.git;a=summary

Package: fatrace
Architecture: linux-any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: python3, powertop
Description: report system wide file access events
 fatrace reports file access events from all running processes.
 Its  main  purpose  is to find processes which keep waking up the disk
 unnecessarily and thus prevent some power saving.
 .
 This package also contains a "power-usage-report" tool, which uses
 fatrace and powertop to build a textual report from one minute of
 measuring power usage and file accesses. This does not take any
 arguments or requires any interactivity, so is very simple to use and
 serves as a starting point for bug reports or optimizing a particular
 installation.

## fatrace 0.6

=== debian/changelog ===
fatrace (0.6-1) unstable; urgency=medium

  * New upstream release:
    - power-usage-report: Fix output parsing for PowerTOP 2.5. (LP: #1265142)
  * Add autopkgtests for fatrace and power-usage-report.
  * Bump Standards-Version to 3.9.5 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Tue, 07 Jan 2014 15:19:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Build-Depends: debhelper (>= 9)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://launchpad.net/fatrace
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrace.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrace.git;a=summary
+XS-Testsuite: autopkgtest
 
 Package: fatrace
 Architecture: linux-any

=== debian/tests/control ===
Tests: fatrace
Depends: @
Restrictions: needs-root

Tests: power-usage-report
Depends: @, powertop
Restrictions: needs-root allow-stderr

## fatrace 0.8

=== debian/changelog ===
fatrace (0.8-1) unstable; urgency=medium

  * New upstream bug fix release: Fix the "Value too large for defined data
    type" error for real. (LP: #1372873)
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Sep 2014 16:07:40 +0200

fatrace (0.7-1) unstable; urgency=medium

  * New upstream release:
    - Use O_LARGEFILE to fix "Value too large for defined data type" error
      with large files on some platforms. (LP: #1161989, Closes: #722901)
    - Increase buffer size to 256 KiB. (LP: #1312095)

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Aug 2014 09:41:25 +0200

## fatrace 0.9

=== debian/changelog ===
fatrace (0.9-1) unstable; urgency=medium

  * New upstream release:
    - power-usage-report: Adjust parsing to also work for powertop 2.6.

 -- Martin Pitt <mpitt@debian.org>  Fri, 07 Nov 2014 09:18:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://launchpad.net/fatrace
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrace.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrace.git;a=summary
 XS-Testsuite: autopkgtest

=== debian/watch ===
version=3
http://launchpad.net/fatrace/+download .*/fatrace-([0-9.]+)\.tar\.bz2

## fatrace 0.10

=== debian/changelog ===
fatrace (0.10-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:46:59 +0000

fatrace (0.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/tests/power-usage-report: Skip test if processor does not support
    powertop. (LP: #1449632)
  * Update Vcs-* links for anonscm.debian.org.
  * Drop obsolete XS-Testsuite: control tag, dpkg now adds this automatically.

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Apr 2015 10:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Maintainer: Martin Pitt <mpitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://launchpad.net/fatrace
 Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/git/collab-maint/fatrace.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrace.git;a=summary
-XS-Testsuite: autopkgtest
+Vcs-Git: git://anonscm.debian.org/collab-maint/fatrace.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fatrace.git/
 
 Package: fatrace
 Architecture: linux-any

## fatrace 0.11

=== debian/changelog ===
fatrace (0.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/tests/control: Syntax cleanup.

 -- Martin Pitt <mpitt@debian.org>  Sun, 08 Nov 2015 10:11:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Martin Pitt <mpitt@debian.org>
+Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://launchpad.net/fatrace
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/fatrace.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

override_dh_auto_install:
	make install PREFIX=/usr DESTDIR=debian/fatrace

## fatrace 0.12

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 VERSION=$(shell head -n1 NEWS | cut -f1 -d' ')
 
 CFLAGS ?= -O2 -g -Wall -Wextra -Werror
+CDEFS = -D_GNU_SOURCE
 PREFIX ?= /usr/local
 
 fatrace: fatrace.o
-	$(CC) $(LDFLAGS) -o $@ $<
+	$(CC) $(CDEFS) $(LDFLAGS) -o $@ $<
 
 clean:
 	rm -f *.o fatrace

=== debian/changelog ===
fatrace (0.12-1) unstable; urgency=medium

  * New upstream release.
    - Fix crash when using -p. (Closes: #817247, LP: #1563919)
  * Bump Standards-Version to 3.9.8 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Apr 2016 11:30:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://launchpad.net/fatrace
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/fatrace.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fatrace.git/

=== debian/tests/control ===
Tests: fatrace
Restrictions: needs-root

Tests: power-usage-report
Depends: @, powertop
Restrictions: needs-root, allow-stderr

## fatrace 0.13

=== debian/changelog ===
fatrace (0.13-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in debian/watch.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Martin Pitt ]
  * Bump Standards-Version to 4.3.0.
    No changes necessary.
  * Move to debhelper compat level 12
  * power-usage-report autopkgtest: Add missing python3 test dependency
  * fatrace autopkgtest: Restrict to isolation-machine.
    Watching all mounts does not work in schroots and containers, so fix the
    failing autopkgtest there.
  * Add fatrace-currentmount autopkgtest.
    This covers running with `--current-mount`, which also works within bind
    mounts, i. e. in schroots and containers.

 -- Martin Pitt <mpitt@debian.org>  Sun, 13 Jan 2019 12:46:59 +0000

fatrace (0.13-1) unstable; urgency=medium

  * New upstream version 0.13
  * Update Vcs-* for the move to salsa.debian.org
  * debian/copyright: Use https:// format URL
  * Bump debhelper compat level to 10
  * Bump Standards-Version to 4.1.3

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 Mar 2018 13:37:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: fatrace
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 12)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://launchpad.net/fatrace
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/fatrace.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fatrace.git/
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/fatrace.git
+Vcs-Browser: https://salsa.debian.org/debian/fatrace
 
 Package: fatrace
 Architecture: linux-any

=== debian/tests/control ===
Tests: fatrace
Restrictions: needs-root, isolation-machine

Tests: fatrace-currentmount
Restrictions: needs-root

Tests: power-usage-report
Depends: @, powertop, python3
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
https://launchpad.net/fatrace/+download .*/fatrace-([0-9.]+)\.tar\.bz2

## fatrace 0.15

=== debian/changelog ===
fatrace (0.15-1) unstable; urgency=medium

  * New upstream version 0.15:
    - Fix fd leak with -C when building without FAN_REPORT_FID support

 -- Martin Pitt <mpitt@debian.org>  Sun, 03 Nov 2019 20:32:20 +0000

fatrace (0.14-1) unstable; urgency=medium

  * New upstream version 0.14:
    - Add support for directory events: file creation, rename/move, delete.
      This requires Linux 5.1 (FAN_REPORT_FID support), on older kernels fall
      back to the old mode. (Closes: #940629, LP: #1371394)
    - power-usage-report: Fix regexp substitution (LP: #1683164)
    - Drop O_LARGEFILE workaround, fixes cross-building
      (Closes: #784983, LP: #1755787)
  * debian/watch: Switch to xz tarballs
  * Bump Standards-Version to 4.4.1. No changes necessary.
  * autopkgtest: Move to upstream-included tests

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Oct 2019 06:01:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 12)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://launchpad.net/fatrace
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/fatrace.git
 Vcs-Browser: https://salsa.debian.org/debian/fatrace

=== debian/watch ===
version=3
https://launchpad.net/fatrace/+download .*/fatrace-([0-9.]+)\.tar\.xz

## fatrace 0.16

=== Makefile ===
VERSION=$(shell head -n1 NEWS | cut -f1 -d' ')

CFLAGS ?= -O2 -g -Wall -Wextra -Werror
CFLAGS += -D_GNU_SOURCE
PREFIX ?= /usr/local

fatrace: fatrace.o
	$(CC) $(LDFLAGS) -o $@ $<

clean:
	rm -f *.o fatrace

distclean: clean

install: fatrace
	install -m 755 -D fatrace $(DESTDIR)$(PREFIX)/sbin/fatrace
	install -m 755 power-usage-report $(DESTDIR)$(PREFIX)/sbin/
	install -d $(DESTDIR)$(PREFIX)/share/man/man1/
	install -m 644 *.1 $(DESTDIR)$(PREFIX)/share/man/man1/

dist:
	git ls-tree -r --full-name --name-only HEAD | tar cJvf fatrace-$(VERSION).tar.xz --transform="s,^,fatrace-$(VERSION)/," --exclude=.gitignore --files-from=-

.PHONY: clean distclean dist install

=== debian/changelog ===
fatrace (0.16-1) unstable; urgency=medium

  * New upstream version 0.16:
    - Avoid most "unknown" process names on process exit
    - tests: Accept split file rename events (Closes: #963714, LP: #1885188)
  * Adjust packaging for upstream move to GitHub
  * Update Standards-Version to 4.5.0.
    No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sat, 22 Aug 2020 15:57:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
 Maintainer: Martin Pitt <mpitt@debian.org>
-Homepage: https://launchpad.net/fatrace
-Standards-Version: 4.4.1
+Homepage: https://github.com/martinpitt/fatrace
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/fatrace.git
 Vcs-Browser: https://salsa.debian.org/debian/fatrace

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Tests: fatrace
+Tests-Directory: tests
 Restrictions: needs-root, isolation-machine
 
 Tests: fatrace-currentmount
+Tests-Directory: tests
 Restrictions: needs-root
 
 Tests: power-usage-report

## fatrace 0.16.1

=== debian/changelog ===
fatrace (0.16.1-1) unstable; urgency=medium

  * New upstream version 0.16.1:
    - Move manpage to section 8
    - Clean up definition of _GNU_SOURCE
  * Set Rules-Requires-Root to no
  * debian/rules: Drop trailing whitespace
  * Enable build hardening
  * Bump Standards-Version to 4.5.1.
    No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Mon, 28 Dec 2020 11:43:15 +0100

## fatrace 0.16.2

=== debian/changelog ===
fatrace (0.16.2-2) unstable; urgency=medium

  * autopkgtest: Add isolation-machine to fatrace-currentmount.
    Current LXC's default security profile does not allow fanotify() or
    open_by_handle_at() any more, thus the `fatrace-currentmount` test has
    no chance of doing anything meaningful in debci production.
    So Add isolation-machine restriction. (Closes: #986012)

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 May 2021 20:51:50 +0200

fatrace (0.16.2-1) unstable; urgency=medium

  * New upstream version 0.16.2

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 Mar 2021 18:46:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper-compat (= 12)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://github.com/martinpitt/fatrace
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/fatrace.git
 Vcs-Browser: https://salsa.debian.org/debian/fatrace

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh "$@"

override_dh_auto_install:
	make install PREFIX=/usr DESTDIR=debian/fatrace

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/fatrace-$1\.tar\.gz/ \
  https://github.com/martinpitt/fatrace/tags .*/(\d\S*)\.tar\.gz

## fatrace 0.16.3

=== debian/changelog ===
fatrace (0.16.3-1) unstable; urgency=medium

  * New upstream version 0.16.3:
    - Always use line buffering
    - Fix fd leak with `-f` event type filtering. Thanks Stefan Dotterweich!
      (Closes: #995849, LP: #1858305)
  * Update Standards-Version to 4.6.0.  No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Oct 2021 07:56:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 12)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://github.com/martinpitt/fatrace
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/fatrace.git
 Vcs-Browser: https://salsa.debian.org/debian/fatrace

## fatrace 0.17.0

=== debian/changelog ===
fatrace (0.17.0-1) unstable; urgency=medium

  * New upstream release:
    - Work around kernel bug with blocking FAN_REPORT_FID with btrfs
    - Improve event formatting
    - Avoid ELOOP errors when monitoring symlinks
    - Monitor ZFS volumes; thanks achims311
  * debian/watch: Update to version 4
  * Update Standards-Version to 4.6.1.
    No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Nov 2022 11:10:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 12)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://github.com/martinpitt/fatrace
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/fatrace.git
 Vcs-Browser: https://salsa.debian.org/debian/fatrace

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 Tests: fatrace-currentmount
 Tests-Directory: tests
-Restrictions: needs-root
+Restrictions: needs-root, isolation-machine
 
 Tests: power-usage-report
 Depends: @, powertop, python3

## fatrace 0.18.0

=== Makefile ===
CFLAGS ?= -O2 -g -Wall -Wextra -Werror
PREFIX ?= /usr/local

fatrace: fatrace.o
	$(CC) $(LDFLAGS) -o $@ $<

clean:
	rm -f *.o fatrace

distclean: clean

install: fatrace
	install -m 755 -D fatrace $(DESTDIR)$(PREFIX)/sbin/fatrace
	install -m 755 power-usage-report $(DESTDIR)$(PREFIX)/sbin/
	install -d $(DESTDIR)$(PREFIX)/share/man/man8/
	install -m 644 *.8 $(DESTDIR)$(PREFIX)/share/man/man8/

.PHONY: clean distclean install

=== debian/changelog ===
fatrace (0.18.0-1) unstable; urgency=medium

  * New upstream release:
    - Add -u/--user option to show [uid:gid] in events (thanks Gabriel Kulp!)
    - Truncate overly long --command matches
    - Turn invalid FID type error into warning
  * Move to debhelper compat level 13
  * Bump Standards-Version to 4.7.0

 -- Martin Pitt <mpitt@debian.org>  Sun, 19 Jan 2025 11:06:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: fatrace
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://github.com/martinpitt/fatrace
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/fatrace.git
 Vcs-Browser: https://salsa.debian.org/debian/fatrace

## fatrace 0.19.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
 CFLAGS ?= -O2 -g -Wall -Wextra -Werror
 PREFIX ?= /usr/local
+
+all: fatrace tests/slow-exit.so
 
 fatrace: fatrace.o
 	$(CC) $(LDFLAGS) -o $@ $<
 
 clean:
-	rm -f *.o fatrace
+	rm -f *.o fatrace tests/slow-exit.so
 
 distclean: clean
 
@@ -15,4 +17,14 @@
 	install -d $(DESTDIR)$(PREFIX)/share/man/man8/
 	install -m 644 *.8 $(DESTDIR)$(PREFIX)/share/man/man8/
 
-.PHONY: clean distclean install
+tests/slow-exit.so: tests/slow-exit.c
+	$(CC) -shared -fPIC -o $@ $< -ldl
+
+lint:
+	ruff check power-usage-report
+	ruff check tests
+	mypy power-usage-report
+	mypy tests
+
+
+.PHONY: all clean distclean install lint

=== debian/changelog ===
fatrace (0.19.0-2) unstable; urgency=medium

  * autopkgtest: Add build-needed restriction.
    The tests need the slow-exit.so preload lib to work reliably.

 -- Martin Pitt <mpitt@debian.org>  Sun, 24 Aug 2025 14:17:00 +0000

fatrace (0.19.0-1) unstable; urgency=medium

  * New upstream release:
    - Add JSON output mode
    - Add --exe option to include executable path in events
    - Add --parent option to include all parent processes in events
    - Print events with unknown process name even with -C
    - Rewrite tests in Python, make them much more robust
      (Closes: #1111898)
  * Adjust autopkgtest to Python unittest rewrite.
  * Bump Standards-Version to 4.7.2.  No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 24 Aug 2025 05:49:07 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13)
 Maintainer: Martin Pitt <mpitt@debian.org>
 Homepage: https://github.com/martinpitt/fatrace
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/fatrace.git
 Vcs-Browser: https://salsa.debian.org/debian/fatrace

=== debian/tests/control ===
Test-Command: env FATRACE_INSTALLED_TEST=1 python3 -m unittest -v
Depends: @, python3
# needs to build the slowdown preload lib
Restrictions: needs-root, build-needed, isolation-machine, allow-stderr

Tests: power-usage-report
Depends: @, powertop, python3
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/fatrace-$1\.tar\.gz/ \
  https://github.com/martinpitt/fatrace/tags .*/(\d\S*)\.tar\.gz
